Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class DoubleRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.StringRequester
                  |
                  +--jreqtools.DoubleRequester

public class DoubleRequester
extends StringRequester

This is a requester for double values.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`DoubleRequester()`
`DoubleRequester(double defaultValue)`
`DoubleRequester(java.lang.String message, double defaultValue)`
`DoubleRequester(java.lang.String title, java.lang.String message, double defaultValue)`

Method Summary
`double` | `getDouble()`

Methods inherited from class jreqtools.StringRequester
`createJDialog, getReturnValue, getString, setDefaultChoices, setMessage, setString, setStringChecker`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleRequester

    public DoubleRequester()

### DoubleRequester

    public DoubleRequester(double defaultValue)

### DoubleRequester

    public DoubleRequester(java.lang.String message,
                           double defaultValue)

### DoubleRequester

    public DoubleRequester(java.lang.String title,
                           java.lang.String message,
                           double defaultValue)

Method Detail

### getDouble

    public double getDouble()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD